/*
    TARJETAS DE LUGARES

    Mirar las paginas principales para ver
    la explicación de ciertos atributos comunes:
    - index.html
    - reviews.html
    - contact.html

    Representa la parte de las valoraciones,
    opiniones y fotos de los usuarios que han
    vertido sobre un lugar

*/

#review-header,
#review-header * {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

#review-header {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    font-size: 1.1em;
}

/*
    Representa el fondo del header
    Como va a ocupar todo el elemento
    y lo queremos situar por detras de
    los demás le damos un z-index menor
    Hay un detalle por el que no usamos
    directamente el background en el review-header
    y es porque queremos poner opacidad
    al background
*/
#review-header .Background {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    opacity: 0.4;
    z-index: 1;
}

/*
    Queremos hacer scroll horizontal
    para ello necesitamos hacer overflow-x
    y que se muestre cuando sea necesario,
    es decir cuando el hijo sobresalga del
    padre, esto quiere decir que los contenedores
    padres deben tener un ancho máximo para
    que el hijo no quepa,
    y para que ponga todo en la misma linea
    ya que por defecto lo que haría el navegador
    sería desbordar por abajo poniéndolo
    en la siguiente línea, salvo que fuera inline,
    para ello usamos white-space con el valor nowrap
    para que los hijos del contenedor no saten
    de linea si no caben
*/

#review-header .Top {
    display: flex;
    white-space: nowrap;
    overflow-x: auto;
    padding: 30px 20px 20px;
    height: 100%;
    width: 100%;
    gap: 20px;
    z-index: 10;
}

/*
    hace referencia a la barra de
    desplazamiento en general
*/
#review-header .Top::-webkit-scrollbar {
    width: 50vw;
    height: 1.5vh;
}

/*
    Es la parte que se desplaza en la barra
    de desplazamiento
*/
#review-header .Top::-webkit-scrollbar-thumb {
    background-color: rgba(172, 115, 229, 0.511);
    border-radius: 10px;
}

/*
    Es donde se van a posicionar las flechas que
    harán el desplazamiento horizontal
    El z-index es para que se vean por encima
*/
#review-header .Top .Left,
#review-header .Top .Right {
    cursor: pointer;
    top: 0;
    display: flex;
    position: absolute;
    width: 5%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.457);
    background-size: 70%;
    background-repeat: no-repeat;
    background-position: center;
    z-index: 100;
    transition: all .35s;
}

#review-header .Top .Left:hover,
#review-header .Top .Right:hover {
    background-size: 90%;
}

#review-header .Top .Left:active,
#review-header .Top .Right:active {
    background-color: rgba(255, 255, 255, 0.211);
}

#review-header .Top .Left {
    left: 5px;
    background-image: url(../images/icons/galon-izquierdo.png);
}

#review-header .Top .Right {
    right: 5px;
    background-image: url(../images/icons/galon-derecho.png);
}

#review-header .Top .PhotoThumbnail {
    transition: all .3s;
}

#review-header .Top .PhotoThumbnail:hover {
    transform: scale(1.1);
}

#review-header .Top .PhotoThumbnail img {
    cursor: pointer;
    overflow: hidden;
    box-shadow: 0px 0px 10px 2px rgba(255, 254, 254, 0.705);
    height: 100%;
    border-radius: 10px;
}

#review-header .Top .PhotoThumbnail input[type="checkbox"] {
    appearance: none;
    /* display: none; */
}

/*
    Aquí visualizamos la previsualización
    a tamaño grande
*/
#review-header .Top .PhotoPreview {
    opacity: 0;
    top: 10%;
    left: 2%;
    padding: 20px;
    border-radius: 10px;
    position: absolute;
    display: none;
    position: flex;
    width: 96vw;
    height: 85vh;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 1000;
    background-color: rgba(0, 0, 0, 0.736);
}

/*
    Solo visualizamos la foto en el preview de las parejas
    seleccionadas en el checkbox, en teoría podrías ver varias
    fotos a la vez si el preview no tapase esa zona
    Pero prefiero que sólo se seleccione uno  a la vez
*/
#review-header .Top .PhotoThumbnail:has(:checked)+.PhotoPreview {
    display: flex;
    opacity: 1;
    transition: opacity .5s, display .5s;
}

@starting-style {
    #review-header .Top .PhotoThumbnail:has(:checked)+.PhotoPreview {
        opacity: 0.5;
    }
}

/*
    A justamos la altura al cotenido y dejamos que sea
    la parte inferior del preview la que crezca
*/
#review-header .Top .PhotoPreview .Top {
    display: flex;
    width: 100%;
    height: fit-content;
    padding: 5px;
    justify-content: space-between;
}

/*
    el boton de cerrar que está asociado al mismo thumnail
    que el preview
*/

#review-header .Top .PhotoPreview .Close {
    background-image: url(../images/icons/cerrar.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: 80%;
    border-radius: 50%;
    width: 4vh;
    height: 4vh;
    transition: all .3s;
}

#review-header .Top .PhotoPreview .Close:hover {
    cursor: pointer;
    transform: scale(1.2);
}

#review-header .Top .PhotoPreview .Bottom {
    flex-grow: 1;
    width: 100%;
    height: 90%;
    border-radius: 20px;
}

#review-header .Top .PhotoPreview .Bottom img {
    border-radius: 20px;
    width: 100%;
    height: 100%;
}


#review-header .Bottom {
    width: 100%;
    display: flex;
    background-color: rgba(146, 142, 233, 0.569);
    justify-content: space-evenly;
    box-shadow: 0px 0px 10px 5px rgba(63, 8, 226, 0.945);
    padding: 10px;
    z-index: 1;
}

#review-header .Bottom .Left,
#review-header .Bottom .Right {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#review-header .Bottom .Right .Subtitle .RatingBar {
    appearance: none;
    font-family: sans-serif;
    line-height: 1;
    --percent: calc(var(--value) / 10 * 100%)
}

#review-header .Bottom .Right .Subtitle .RatingBar::before {
    background: linear-gradient(90deg, #fc0 var(--percent), #eee var(--percent));
    background-clip: text;
    content: '★★★★★★★★★★';
    color: transparent
}